package space.kklochko.jdbc_hospital_example.config.env;

import io.github.cdimascio.dotenv.Dotenv;
import lombok.Getter;
import lombok.Setter;

import java.util.Properties;

@Setter
@Getter
public class DataBaseEnvConfig {
    public String url;
    public Properties properties;

    public DataBaseEnvConfig() {
        Dotenv dotenv = Dotenv
                .configure()
                .directory("config")
                .filename("db")
                .load();

        setUrl(dotenv.get("JDBC_URL"));

        Properties properties = new Properties();
        properties.put("user", dotenv.get("USER"));
        properties.put("password", dotenv.get("PASSWORD"));

        setProperties(properties);
    }
}
